Skip to content

微信公众号文章评论 API (V1)

POST
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…

通过文章URL返回微信公众号文章的顶级评论。响应包含评论数据、总数和用于持续收集评论的分页缓冲区字段。

请求体

参数名位置类型必填默认值说明
tokenformstring-此 API 服务的访问令牌。
articleUrlformstring-用于获取文章顶级评论的微信公众号文章URL。
bufferformstring``由上一次响应返回的评论分页缓冲区。第一页时留空。对于此 POST 接口,请以 application/x-www-form-urlencoded 格式在请求体中发送。

代码示例

💡 环境说明

默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015

bash
curl -X POST "https://api.justoneapi.com/api/weixin/get-article-comment/v1" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d 'token=YOUR_API_KEY&articleUrl=VALUE'
text
我想使用 Just One API 提供的“文章评论 (V1)”接口。
接入地址: 默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
接口路径: /api/weixin/get-article-comment/v1
接口地址: BASE_URL + /api/weixin/get-article-comment/v1
HTTP 方法: POST
身份验证: 在 application/x-www-form-urlencoded 请求体中传入 token 字段。
OpenAPI 定义: https://docs.justoneapi.com/openapi/wechat-official-accounts/article-comments-v1-zh.json

请求体参数说明:
- token (form): 此 API 服务的访问令牌。 (必填)
- articleUrl (form): 用于获取文章顶级评论的微信公众号文章URL。 (必填)
- buffer (form): 由上一次响应返回的评论分页缓冲区。第一页时留空。对于此 POST 接口,请以 application/x-www-form-urlencoded 格式在请求体中发送。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为 120 秒;如果 120 秒偏长,请至少设置为 60 秒,但可能会有少量请求因超时而未接收到结果。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨,多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
import requests

BASE_URL = "https://api.justoneapi.com"  # 大陆用户可改为 "http://47.117.133.51:30015"

url = BASE_URL + "/api/weixin/get-article-comment/v1"
headers = {
    "Content-Type": "application/x-www-form-urlencoded"
}
data = {
    "token": "YOUR_API_KEY",
    "articleUrl": "VALUE"
}
response = requests.post(url, headers=headers, data=data)
print(response.json())
js
const BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
const url = BASE_URL + "/api/weixin/get-article-comment/v1";

const response = await fetch(url, {
  method: "POST",
  headers: {
    "Content-Type": "application/x-www-form-urlencoded"
  },
  body: new URLSearchParams({
    "token": "YOUR_API_KEY",
    "articleUrl": "VALUE"
  })
});
const data = await response.json();
console.log(data);
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
        final String url = BASE_URL + "/api/weixin/get-article-comment/v1";

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Content-Type", "application/x-www-form-urlencoded")
            .method("POST", HttpRequest.BodyPublishers.ofString("token=YOUR_API_KEY&articleUrl=VALUE"))
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
package main

import (
	"fmt"
	"io"
	"strings"
	"net/http"
)

const BASE_URL = "https://api.justoneapi.com" // 大陆用户可改为 "http://47.117.133.51:30015"

func main() {
	client := &http.Client{}
	url := BASE_URL + "/api/weixin/get-article-comment/v1"
	var data = strings.NewReader("token=YOUR_API_KEY&articleUrl=VALUE")
	req, _ := http.NewRequest("POST", url, data)
	req.Header.Set("Content-Type", "application/x-www-form-urlencoded")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
<?php
$BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
$url = $BASE_URL . "/api/weixin/get-article-comment/v1";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, 'token=YOUR_API_KEY&articleUrl=VALUE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: application/x-www-form-urlencoded',
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果示例

正在加载最新成功示例…